'Recommended php extensions is not loaded: %extensions%': 'Recommended PHP extensions are missing: %extensions%'
'Required php extensions is not loaded: %extensions%': 'Required PHP extensions are missing: %extensions%'
'Config file does not exist': 'Config %configFileName% file does not exist and cannot be copied from the default config file. It is required for the installation. Please, follow these steps: 1. Go to directory %configPath%. 2. Copy %defaultConfigFileName% to %configFileName%. 3. Set readable permissions on %configFileName% Then try again.'
'The DocBlock feature is not supported by your PHP': 'The DocBlock feature is not supported by your PHP. This feature is required for X-Cart operation.'
'DocBlock feature being blocked may be the eAccelerator extension': 'The DocBlock feature is not supported by your PHP. This feature is required for X-Cart operation. The cause of DocBlock feature being blocked may be the eAccelerator extension. Disable this extension and try again.'
'Not enough permissions to run the process': 'Not enough permissions to run the process. Please make sure the following files are writable: %pathsList%'
'Not enough permissions to run the process. Make sure the permissions are set': 'Not enough permissions to run the process. Make sure the following permissions are set (UNIX-like systems only): %pathsList%. Such permissions are required for a seamless automated installation or upgrade of X-Cart on your server. They do not take into account the specific configuration of your server or any security requirements. Once the process is completed, make sure you change the permissions to a more restrictive setting. Read more: https://kb.x-cart.com/en/setting_up_x-cart_5_environment/secure_configuration.html#why-x-cart-asks-for-666777-permissions'
'Disabled functions should be enabled': 'There are disabled functions (%missedFunctions%) that may be used by software in some cases and should be enabled.'

'config_file.kb_message': ''
'config_file.label_message': 'Config %configFileName% file does not exist and cannot be copied from the default config file. It is required for the installation. Please, follow these steps: 1. Go to directory %configPath%. 2. Copy %defaultConfigFileName% to %configFileName%. 3. Set readable permissions on %configFileName% Then try again.'
'doc_blocks_support.kb_message': ''
'doc_blocks_support.label_message': 'Check our https://kb.x-cart.com/en/general_setup/installation_guide.html#permissionchecking-failed in order to find out how to solve the problem with incorrect permissions.'
'file_permissions.kb_message': 'Check our https://kb.x-cart.com/en/general_setup/installation_guide.html#permissionchecking-failed in order to find out how to solve the problem with incorrect permissions.'
'file_permissions.label_message': ''
'http_host_options.kb_message': ''
'http_host_options.label_message': ''
'https_bouncer.kb_message': 'Check our https://kb.x-cart.com/en/general_setup/installation_guide.html#https-bouncer-is-not-installed in order to find out how to solve the problem with libCurl library.'
'https_bouncer.label_message': 'The libCURL module with HTTPS protocol support and a valid SSL certificate is required for credit cards processing via Authorize.NET, PayPal or other payment gateways and using real-time shipping calculation services (these services require your website to accept secure connections via HTTPS/SSL). Please contact your hosting provider''s support to have these parameters adjusted.'
'iconv_support.kb_message': ''
'iconv_support.label_message': ''
'mbstring_support.kb_message': ''
'mbstring_support.label_message': ''
'php_disabled_functions.kb_message': 'Check our https://kb.x-cart.com/en/general_setup/installation_guide.html#disabled-functions in order to find out how to solve the problem with disabled PHP functions.'
'php_disabled_functions.label_message': 'Some functions, used by X-Cart, are found disabled. Make sure that these functions are not listed in "disable_functions" option and all php extensions required for these functions availability are enabled in the php.ini file. Please correct this and try again.'
'php_file_uploads.kb_message': ''
'php_file_uploads.label_message': 'The configuration of the server where X-Cart will be installed meets the Server requirements; however, some server software issues, which can impair X-Cart operation, have been identified on the server. For proper operation of X-Cart the value of the upload_max_filesize variable in the php.ini file should indicate the maximum file size allowed for upload.'
'php_gdlib.kb_message': ''
'php_gdlib.label_message': ''
'php_memory_limit.kb_message': ''
'php_memory_limit.label_message': 'PHP memory_limit option must be at least %memoryLimitMin%'
'php_pdo_mysql.kb_message': 'Check our https://kb.x-cart.com/en/general_setup/installation_guide.html#disabled-php-extensions in order to find out how to solve the problem with PDO extension.'
'php_pdo_mysql.label_message': 'PDO extension with enabled MySQL support is used by X-Cart for connecting to the database. Please make sure this extension is loaded in your php.ini file and try again.'
'php_phar.kb_message': ''
'php_phar.label_message': 'Phar extension is required for installation of external X-Cart addons and upgrades from the Marketplace. Please contact your hosting provider''s support to have this parameter adjusted.'
'php_upload_max_file_size.kb_message': ''
'php_upload_max_file_size.label_message': 'For proper operation of X-Cart the value of the upload_max_filesize option in the php.ini file should indicate the maximum file size allowed for upload. Please correct this option or contact your hosting provider''s support to have the parameter adjusted.'
'php_version.kb_message': ''
'php_version.label_message': 'PHP versions %minPhpVersion% are currently supported. Your version is %version%'
'sockets_support.kb_message': ''
'sockets_support.label_message': ''
'sodium_support.kb_message': ''
'sodium_support.label_message': ''
'xml_support.kb_message': ''
'xml_support.label_message': 'Xml/EXPAT and DOMDocument extensions for PHP are required for using real-time shipping modules and payment modules. Please contact your hosting provider''s support to have these parameters adjusted.'
'ioncube_php_bug.kb_message': ''
'ioncube_php_bug.label_message': ''

#TODO
'MySQL query cache is not enabled': 'MySQL query cache is not enabled. See https://dev.mysql.com/doc/refman/5.7/en/query-cache-configuration.html for how to enable it.'
'MySQL version requirements': 'MySQL version must be at least %minMysqlVersion%'
'InnoDB engine is not supported by MySQL server': 'InnoDB engine is not supported by MySQL server. InnoDB is required for X-Cart operation.'
'Cannot get MySQL server version': 'Cannot get MySQL server version (%error%).'
